#
# spec file for package tn5250 (Version 0.16.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tn5250
BuildRequires:  gcc-c++
URL:            http://tn5250.sourceforge.net/
License:        LGPL
Group:          Productivity/Networking/Other
Autoreqprov:    on
Version:        0.16.5
Release:        315.2
Summary:        5250 Emulator
Source:         http://belnet.dl.sourceforge.net/sourceforge/tn5250/tn5250-%{version}.tar.bz2
Source1:        README.SuSE
Patch:          tn5250-0.16.2-terminfo.dif
Patch1:         tn5250-0.16.5-strings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The 5250 is most commonly used for connecting to IBM's AS/400.	While
one can connect to an AS/400 with a VT100 emulator, it is not ideal. 
The problem is that the 5250 is a screen at a time terminal, whereas
the VT100 is a character at a time device.  The emulator uses telnet's
binary mode to transfer the 5250 data stream.



Authors:
--------
    Michael Madore <mmadore@blarg.net>

%debug_package
%prep
%setup
%patch -p1
%patch1
cp -p %{SOURCE1} .
DIR=$(find . -name configure -printf "%h\n")
%{?suse_update_config:%{suse_update_config -f $DIR }}

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
 
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/xt5250 $RPM_BUILD_ROOT/usr/X11R6/bin

%files
%defattr(-,root,root)
%doc BUGS COPYING README AUTHORS BUGS ChangeLog NEWS TODO XTerm README.SuSE
%{_libdir}/lib5250.la
%{_libdir}/lib5250.a
%{_libdir}/lib5250.so
%{_libdir}/lib5250.so.0
%{_libdir}/lib5250.so.0.0.0
/usr/include/tn5250.h
/usr/include/tn5250
/usr/bin/*
/usr/X11R6/bin/xt5250
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/share/tn5250
/usr/share/aclocal/tn5250.m4

%changelog -n tn5250
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Mon Sep 08 2003 - poeml@suse.de
- README: <feedback@suse.de> -> <http://www.suse.com/feedback>
* Wed May 14 2003 - poeml@suse.de
- use %%defattr
- add tn5250.m4
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Aug 07 2002 - poeml@suse.de
- update to 0.16.5
- [...] Added ssl_method config option so you can specify an ssl
  method of ssl2, ssl3 or auto.  (Problems connecting were
  reported in some circumstances if ssl3 is not specified)
* Tue Jul 30 2002 - poeml@suse.de
- update to latest stable release 0.16.4. New features include:
- SSL client-side certificates now supported
- Changed license to LGPL
- Added the scs2pdf print filter (to transform SCS printer
  streams to PDF files)
- Added support for re-mapping the screen colors.
- Many, many bug fixes.
* Tue Jul 02 2002 - meissner@suse.de
- run autoreconf
* Tue May 28 2002 - sf@suse.de
- added %%{_lib} fixes
* Mon Mar 04 2002 - poeml@suse.de
- add tn5250-0.16.2-terminfo.dif: use the xterm terminfo entry if
  an xterm-5250 one doesn't exist. This fixes the startup of the
  xt5250 command.
* Fri Aug 24 2001 - poeml@suse.de
- update to 0.16.2: xt5250 does work now; better handling of
  OS/400 special function keys
- add the files AUTHORS, BUGS, ChangeLog, NEWS, TODO, XTerm to the
  documentation, and update README.SuSE
- drop the two patches (obsoleted)
- build in Buildroot
* Fri Mar 30 2001 - poeml@suse.de
- use suse_update_config macro to update automake, autoconf and
  libtool
- don't use #ifdef directives inside macro args (printf)
- rework README.SuSE
- bzip2'ed sources
* Thu Mar 22 2001 - poeml@suse.de
- add README.SuSE
* Wed Mar 07 2001 - poeml@suse.de
- add a patch that removes some assertions that will always fail if
  a strange character is encountered, e.g. in the linux boot logs
- fix RPM Group tag
* Tue Feb 01 2000 - ro@suse.de
- update to 0.15.6 to make it compile
  (adds manpages libs tools)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 07 1998 - hf@suse.de
- initial package
